Subject: [os2genau_digest] No. 887
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Wed, 14 Jul 2004 00:01:06 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Tuesday 13 July 2004
 Number  887
**************************************************

Subjects for today
 
1  Re:  OT: Creating DOS installation CD : Gavin Miller <drumextreme at impulse dot net dot au>
2   Thinkpad 390E and network PCMCIA : John Angelico" <talldad at kepl dot com dot au>
3  Re:  Thinkpad 390E and network PCMCIA : Ed Durrant <edurrant at bigpond dot net dot au>

**= Email   1 ==========================**

Date:  Tue, 13 Jul 2004 10:34:59 +1000
From:  Gavin Miller <drumextreme at impulse dot net dot au>
Subject:  Re:  OT: Creating DOS installation CD

Wow had no idea this would spark such interest :-)

Anywho... The DOS 7.10 CD created from the site Bob sent me (thanks Bob) 
works quite well.  Had no problems installing DOS and the CD drive was 
picked up without any worries at all.  An excellent solution to a 
floppy-less system.

Cheers
G

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Tue, 13 Jul 2004 15:39:12 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:   Thinkpad 390E and network PCMCIA

Hi all.

At various times over the last couple of months I have sought help on the
above, since I have been struggling to get the 390E connected to the rest of
our home/small business LAN. 

Since we are trying to run a family business here, we did not have lots of
spare time to tackle it. The problem was that much more frustrating because
we had to drop it so often in order to do some "real work."

However, Taraa!! Up from the ashes, grow the roses of success!!

I have:
- A standard 390E with 4Gb HDD, FDD, CD-ROM, internal sound, USB, a Lucent
Winmodem, etc., and a lovely keyboard which is vastly superior to that of the
older 760EL (which we still have).
- eCS 1.14 smoothly installed with many thanks to Bob Traynor my SIG
co-leader, who is extraordinarily knowledgeable about hardware, BIOS and all
manner of internals that bewilder me 
- an IBM EtherJet PCMCIA LAN 10/100 card with double dongle
- a Compact Flash memory card for fitting Kodak memory modules from a Digital
Camera 

I wanted: all of the hardware to work together. Simple (he says) - just like
they work together on the 760EL, right?

The problems: 
- BIOS did not allow access to devices such as Video, Audio or USB
- BIOS did not show IRQs allocated to various devices (Video, Audio, USB)
- the PCMCIA adapter wanted an IRQ but the boot process would allocate the
SAME IRQ as it assigned to the Video - infuriating because it was so
consistent!

The symptom:
PCMCIA EtherJet card was recognised but was not functioning ie. did not
receive resources therefore could not communicate

After Bob helped me to match up the versions of PCMCIA support with the
requirements of the hardware, we began to play with IRQs.

First conclusion: RMView doesn't help much, and the GUI Hardware Manager
isn't worth the disk space.

I eventually found a PCI Sniffer program (by Craig Hart, it comes in Chuck
McKinnis's NICPAK but I found it on Hobbes & OS2Site dot com) which showed me the
shared IRQ evidence - and that it didn't go away. 

I learned from Ian Manners here (owner of OS2Site dot com) that EtherJets and
390Es don't work together. So I began to search for other brands of PCCard
NICs which were supported in eCS eg. in the NICPAK.

I tried 
- an ACCTON with a very neat little dongle but vague eCS support 
- a 3Com Megahertz with an equally nifty dongle but NO eCS support - a real
rare one: definitely hurts a lot too!
and 
- a Xircom Credit Card 10/100 with eCS support BUT...

Along the way I had help from the Linux side to test in another OS whether
the PCCard hardware was OK, plus Terry Kemp researching Linux on the 390E.
Each step elimiinated some possible cause but didn't visibly advance us
towards a solution.

Bob again put me onto a hardware tool reported in July Voice News by Mark
Dodel called SPCIIRQ
(http://hobbes.nmsu.edu/pub/os2/system/drivers/spciirq.zip) in an article on
ACPI support, which allows you to change a device's assigned IRQ (assuming
the device allows more then one). Mark was having trouble in his laptop
between sound and networking. 

So I got the tool, and initially had no success, but the German author Veit
Kannegieser <Veit.Kannegieser at gmx.de> had enough documentation to give me a
clue, and the reassuring advice: "if this doesn't work, then send me output
from xxx and xxx"

When I did that he speedily responded with a few more clues to eliminate
possible sources of error (eg. it's not actually an IRQ problem). Then when I
told him which cards I was trying he said  
"JA>Xircom Credit Card 10/100 using a coax connector. 

Xircom does not like and use the Card&Socket service, they usually work
around them, try 'BASEDEV=IBM2SS14.SYS /IG0=1 /DEBUG' to reserve
the first socket for the xircom card."

So I set these options on the line, removed the IRQ setting in LAPS, And this
fixed the problem!! We had networking - both TCP/IP and NETBIOS.

Then I tried with the Accton and IBM cards without success. The Accton
definitely REQUIRED an IRQ setting in LAPS but the IBM didn't. Incidentally,
the IBM gave the least information at boot time, then the Accton (reporting
IO address and IRQ if the driver was "successfully loaded"), and finally the
Xircom gave the most verbose output. This was a case of the more, the better!

However, I can reserve the IBM EtherJet for the 760EL now running Win98
purely for tax office work - 15 mins per month which is about the most I can
stand of Win98 <g> and I hope to return the Accton card to the shop for a
refund.

Some caveats: 
1. I must boot with the Xircom in the slot of course, and it reports that it
is running in "Polling Mode"
2. I cannot boot with the Compact Flash card in the other slot though. I can
insert it after I remove the Xircom but I can't fit the Xircom back into the
slot - ie. no hot-swapping. This is the same as on the 760EL 
3. There is no LAN connection visible in PCCard Director for the LAN card
because the /IG0=1 option means "Ignore" 

However, it means I can transfer piccies from the camera, via a temporary
directory on the laptop, to the rest of the LAN, as long as I shutdown before
re-inserting the Xircom card. 

And the laptop can now take files from the rest of the LAN, run DB2 etc which
is what we want for our business.

So in Summary:
BIG THANKS to all those people: 
Bob T, Ian M, Terry K, Chuck McKinnis for NicPak, plus Veit K and Craig H for
their tools which dig into the hardware to extract such useful information,
and for their brains which can understand it all!

Especially a big thanks for the fact that they were convinced that the
problem could be solved, when I was getting so frustrated that I actually
envied those on the Dark Side with all that Plug'n'Play stuff. 

It can be very depressing to see the same lack of progress for days and
weeks, so you start thinking that you have wasted lots of money and time on a
setup which refuses to work. And more importantly that you had pestered
others to help you and yet there was nothing to show for it... 

BUT on to getting the 390E working at what it was meant to do in the first
place...

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
.... We need to get the facts before we stick our foot in our mouth...
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Tue, 13 Jul 2004 19:23:13 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Thinkpad 390E and network PCMCIA

Hi John.

  You know PCMCIA / Cardbus and laptops is an artform, there is NO scientific reason
why one card works and another doesn't (or so it seems to me). I'm presently (still)
trying to get my WiFi (Lucent Orinoco) card working in my Thinkpad R30, and you've
guessed it - the problem is not with the NIC drivers but rather with card and socket
services. Sometime's I'll boot and card manager only reports a memory card inserted
and in a "ready" or "IN" status, when there's actually nothing inserted at all. At one
point I got the card indicated as a LAN card but not ready. Without changing ANYTHING,
I shut down and restarted the system and then Card manager reported i as an I/O crd in
a ready state !!  I think the problem is in the newer Thinkpads, where as you say, you
are stopped from changing many things in the CMOS.

 By the way, when I had a Thinkpad 390 running OS/2 Warp 3, I used both the IBM
Ethernet (10 Mb/s) PCMCIA card and the Etherjet 10/100Mb/s CARDBUS card - perhaps
yours is Cardbus not PCMCIA ?? There is documentation about getting specifically IBM
PCCard network cards working in the Readme's that come with card Services and on the
website.

PCI.EXE is a great tool !  I run the DOS version in a DOS VDM window, but I think
there's also an OS/2 port of it. Isn't the author in Australia ??

Cheers/2

Ed.

John Angelico wrote:

> Hi all.
>
> At various times over the last couple of months I have sought help on the
> above, since I have been struggling to get the 390E connected to the rest of
> our home/small business LAN.

----------------------------------------------------------------------------------